/* $Id: scrnmode.prg,v 1.3 2001/10/29 10:07:22 vasa Exp $
 * $Log: scrnmode.prg,v $
 * Revision 1.3  2001/10/29 10:07:22  vasa
 *    SetMode() now invokes _oStdIo:SetMode()
 *
 * Revision 1.2  2001/10/25 11:49:27  vasa
 *    prototyping accord.to stdfunct.fh
 * Revision 1.1  2001/10/25 11:46:25  vasa
 *    copied from FS448, invokes _oStdIo:SetBlink()
 */

#Cinline
static char *fileID="@@#IOTERM# _tStdIO{} $Id: scrnmode.prg,v 1.3 2001/10/29 10:07:22 vasa Exp $";
#endCinline

***************************************************************************
* Compatibility Functions to support calls to :                           *
*    NOSNOW()                                                             *
*    SETBLINK()                                                           *
*    SETMODE()                                                            *
*                                                                         *
* These functions do no change anything but its parameters and return-    *
* vaules are fully compatible to Clipper 5.x                              *
*-------------------------------------------------------------------------*
* Copyright (c) 1995 by multisoft Datentechnik GmbH, Munich               *
***************************************************************************

***************************************************************************
* setblink([<logvar>] -> currentsetting                                   *
*                                                                         *
* The display of blinking characters as intensive background is not       *
* available on most Terminals. This function is available for             *
* compatibility to Clipper.                                               *
***************************************************************************
function setblink(logvar as logic) as logic

#ifdef THIS_WAS_FS448
// static blinkmode := .F.           && the flag exist and may be toggled
// local oldmode := blinkmode
// if (valtype(logvar) == 'L')
//    blinkmode := logvar
// endif
// return oldmode
#endif
return m->_oStdIo:SetBlink(logvar)

***************************************************************************
* setmode(<lines>,<cols>) --> ldone                                       *
*                                                                         *
* Switching to a different screenmode is not supported by most terminals. *
* This function remains unsupported currently and returns .F. signaling   *
* no switch is done.                                                      *
***************************************************************************
function setmode(nlines as intvar, ncols as intvar) as logic
return m->_oStdIo:SetMode(nlines, ncols)

***************************************************************************
* nosnow(logvar) --> NIL                                                  *
*                                                                         *
* Compatibility function.                                                 *
* Snow on the Terminal cannot be changed by the application               *
***************************************************************************
function nosnow(logvar)
return NIL
