# ----------------------------------------------------------------------------
# Character input Mapping for FlagShip   (Polish version)
# This mapping assumes that FlagShip runs on base of an IBM-PC char set
#=============================================================================
# Loaded by FlagShip automatically on program begin for act. terminal
# TERM=<terminal>, or from programmer via funct. FS_SET ("inmap"),
# if this mapping table is found in
# - actual directory, or
# - path given in environment var SCRMAP, or
# - path given in environment var TERMINFO, or
# - path given in FlagShip setting SET PATH TO, or
# - standard path for terminfo.
#
# Table Syntax:
# <:> terminal[|terminal|terminal...] <space> comment
#     <space> inchar <:>        <space> outchar
#     <space> inchar-inchar <:> <space> outchar
# where:
#     inchar  = decim equivalent for input  char from keyboard
#     outchar = decim equivalent for internal char (* same as inchar)
#           (IBM 8-bit character set)

#-----------------------------------------------------------------------------
# no keyboard translation required for:
#-----------------------------------------------------------------------------
:fsansi|fsat386

  0 - 255: *

#-----------------------------------------------------------------------------
# translate 7 bit ISO to ASCII. Used on SUN, NCR 4970
# This mapping will change national characters below 127 also
#-----------------------------------------------------------------------------
:sun|fssunxterm|fsdtterm|fssunxterm-c|fsiclxterm|fssun|fsncr4970-80|fsncr4970-132|fsVT100-80|fsVT200-80|fsVT100-132|fsVT200-132|fsVT100|fsVT200|fsvt200c|fsvt220c|fsbullq303-80|fsbullq303-132|fsVT100-25|fsDGxterm|fscitoh324|fsiclM5-24|fsiclM5-25|fsunivel|fsVT400-25|fsVT400-48|fsIndiXwsh|fsVT300|fssuncons|fshpxterm|fsdgxterm|fsav300

	 0 - 34: *
	35 : 35
	36 - 38: *
	39 : 39
	40 - 63: *
	64 : 21
	65 - 90: *
	91 : 142
	92 : 153
	93 : 154
	94 - 122: *
   123 : 132
   124 : 148
   125 : 129
   126 : 225
   127 : *
   128 - 159: *+64
   160 : 255
   161 : 173
   162 : 155
   163 : 156
   164 : 236
   165 : 157
   166 : 238
   167 : 239
   168 : 242
   169 : 167
   170 : 166
   171 : 174
   172 : 170
   173 : 158
   174 : 169
   175 : 159
   176 : 248
   177 : 241
   178 : 253
   179 : 243
   180 : 244
   181 : 230
   182 : 245
   183 : 250
   184 : 247
   185 : 251
   186 : 249
   187 : 175
   188 : 172
   189 : 171
   190 : 252
   191 : 168
   192-195 : *-15
   196 : 142
   197 : 143
   198 : 146
   199 : 128
   200 : 181
   201 : 144
   202 : 182
   203 : 183
   204-207 : *+22
   208 : 224
   209 : 165
   210-213 : *-24
   214 : 153
   215 : 244
   216 : 185
   217-219 : *+14
   220 : 154
   221 : 234
   222 : 190
   223 : 225
   224 : 133
   225 : 160
   226 : 131
   227 : 176
   228 : 132
   229 : 134
   230 : 145
   231 : 135
   232 : 138
   233 : 130
   234 : 136
   235 : 137
   236 : 141
   237 : 161
   238 : 140
   239 : 139
   240 : 240
   241 : 164
   242 : 149
   243 : 162
   244 : 147
   245 : 184
   246 : 148
   247 : 246
   248 : 237
   249 : 151
   250 : 163
   251 : 150
   252 : 129
   253 : 235
   254 : 191
   255 : 152

#-----------------------------------------------------------------------------
# translate 8 bit ISO to ASCII. Used on Linux
#-----------------------------------------------------------------------------
:ISO|iso|fslinxterm|fslinux

   128 - 159: *+64
   160 : 255
   161 : 173
   162 : 155
   163 : 156
   164 : 236
   165 : 157
   166 : 238
   167 : 239
   168 : 242
   169 : 167
   170 : 166
   171 : 174
   172 : 170
   173 : 158
   174 : 169
   175 : 159
   176 : 248
   177 : 241
   178 : 253
   179 : 243
   180 : 244
   181 : 230
   182 : 245
   183 : 250
   184 : 247
   185 : 251
   186 : 249
   187 : 175
   188 : 172
   189 : 171
   190 : 252
   191 : 168
   192-195 : *-15
   196 : 142
   197 : 143
   198 : 146
   199 : 128
   200 : 181
   201 : 144
   202 : 182
   203 : 183
   204-207 : *+22
   208 : 224
   209 : 165
   210-213 : *-24
   214 : 153
   215 : 244
   216 : 185
   217-219 : *+14
   220 : 154
   221 : 234
   222 : 190
   223 : 225
   224 : 133
   225 : 160
   226 : 131
   227 : 176
   228 : 132
   229 : 134
   230 : 145
   231 : 135
   232 : 138
   233 : 130
   234 : 136
   235 : 137
   236 : 141
   237 : 161
   238 : 140
   239 : 139
   240 : 240
   241 : 164
   242 : 149
   243 : 162
   244 : 147
   245 : 184
   246 : 148
   247 : 246
   248 : 237
   249 : 151
   250 : 163
   251 : 150
   252 : 129
   253 : 235
   254 : 191
   255 : 152

#-----------------------------------------------------------------------------
# Siemens 7 Bit terminal with german character set
#-----------------------------------------------------------------------------
:fs97801-725|fs97801-733|fs978091-724    standard Siemens 7-Bit terminal,
  1-90:       *
  91:       142
  92:       153
  93:       154
  94-122:     *
  123:      132
  124:      148
  125:      129
  126:      225
  127:       32
#-----------------------------------------------------------------------------
# Siemens 8 Bit terminal with german character set
#-----------------------------------------------------------------------------
:fs97801-825|fs97801-833|fs97801-825c|fs97801-833c std Siemens 8-Bit terminal,
  1-126:      *
  127:       32
   128 - 159 : *+64
   160 : 255
   161 : 173
   162 : 155
   163 : 156
   164 : 236
   165 : 157
   166 : 238
   167 : 239
   168 : 242
   169 : 167
   170 : 166
   171 : 174
   172 : 170
   173 : 158
   174 : 169
   175 : 159
   176 : 248
   177 : 241
   178 : 253
   179 : 243
   180 : 244
   181 : 230
   182 : 245
   183 : 250
   184 : 247
   185 : 251
   186 : 249
   187 : 175
   188 : 172
   189 : 171
   190 : 252
   191 : 168
   192-195 : *-15
   196 : 142
   197 : 143
   198 : 146
   199 : 128
   200 : 181
   201 : 144
   202 : 182
   203 : 183
   204-207 : *+22
   208 : 224
   209 : 165
   210-213 : *-24
   214 : 153
   215 : 244
   216 : 185
   217-219 : *+14
   220 : 154
   221 : 234
   222 : 190
   223 : 225
   224 : 133
   225 : 160
   226 : 131
   227 : 176
   228 : 132
   229 : 134
   230 : 145
   231 : 135
   232 : 138
   233 : 130
   234 : 136
   235 : 137
   236 : 141
   237 : 161
   238 : 140
   239 : 139
   240 : 240
   241 : 164
   242 : 149
   243 : 162
   244 : 147
   245 : 184
   246 : 148
   247 : 246
   248 : 237
   249 : 151
   250 : 163
   251 : 150
   252 : 129
   253 : 235
   254 : 191
   255 : 152

#-----------------------------------------------------------------------------
# Siemens 7 Bit terminal with german character set
#-----------------------------------------------------------------------------
:fs97801-725|fs97801-733    standard Siemens 7-Bit terminal,
  1-90:       *
  91:       142
  92:       153
  93:       154
  94-122:     *
  123:      132
  124:      148

#-----------------------------------------------------------------------------
# Bull Questar special mapping for Umlauts. 
# This mapping will change national characters below 127 to support 
# the Questar terminal when national mode is off 
#-----------------------------------------------------------------------------
:fsbullq303-80|fsbullq303-132

	 0 - 63: *
	64 : 129
	65 - 90: *
	91 : 142
	92 : 154
	93 : 132
	94 - 122: *
   123 : 153
   124 : 124
   125 : 148
   126 : 225
   127 : *
   128 - 159: *+64
   160 : 255
   161 : 173
   162 : 155
   163 : 156
   164 : 236
   165 : 157
   166 : 238
   167 : 239
   168 : 242
   169 : 167
   170 : 166
   171 : 174
   172 : 170
   173 : 158
   174 : 169
   175 : 159
   176 : 248
   177 : 241
   178 : 253
   179 : 243
   180 : 244
   181 : 230
   182 : 245
   183 : 250
   184 : 247
   185 : 251
   186 : 249
   187 : 175
   188 : 172
   189 : 171
   190 : 252
   191 : 168
   192-195 : *-15
   196 : 142
   197 : 143
   198 : 146
   199 : 128
   200 : 181
   201 : 144
   202 : 182
   203 : 183
   204-207 : *+22
   208 : 224
   209 : 165
   210-213 : *-24
   214 : 153
   215 : 244
   216 : 185
   217-219 : *+14
   220 : 154
   221 : 234
   222 : 190
   223 : 225
   224 : 133
   225 : 160
   226 : 131
   227 : 176
   228 : 132
   229 : 134
   230 : 145
   231 : 135
   232 : 138
   233 : 130
   234 : 136
   235 : 137
   236 : 141
   237 : 161
   238 : 140
   239 : 139
   240 : 240
   241 : 164
   242 : 149
   243 : 162
   244 : 147
   245 : 184
   246 : 148
   247 : 246
   248 : 237
   249 : 151
   250 : 163
   251 : 150
   252 : 129
   253 : 235
   254 : 191
   255 : 152

#--------------------------------------------------------------------------
# translate Hewlett Packard default Roman 8 character set to ASCII
# (international Version, no mapping 127)
#--------------------------------------------------------------------------
:fshpterm|hpterm 

	0-127: *
	128-159:*
	160 :  32
	161 :  65
	162 :  65
	163 :  69
	164 :  69
	165 :  69
	166 :  73
	167 :  73
	168 :  39
	169 :  96
	170 :  94
	171 :  63
	172 : 126
	173 :  85
	174 :  85
	175 : 156
	176 : 240
	177 :  89
	178 : 121
	179 : 248
	180 : 128
	181 : 135
	182 : 165
	183 : 164
	184 : 161
	185 : 168
	186 : 248
	187 : 156
	188 : 157
	189 : 232
	190 : 159
	191 : 155
	192 : 131
	193 : 136
	194 : 147
	195 : 150
	196 : 160
	197 : 130
	198 : 162
	199 : 163
	200 : 133
	201 : 138
	202 : 149
	203 : 151
	204 : 132
	205 : 137
	206 : 148
	207 : 129
	208 : 143
	209 : 140
	210 :  48
	211 : 146
	212 : 134
	213 : 161
	214 : 237
	215 : 145
	216 : 142
	217 : 141
	218 : 153
	219 : 154
	220 :  69
	221 : 139
	222 : 225
	223 :  79
	224 :  65
	225 :  65
	226 :  97
	227 :  68
	228 : 235
	229 :  73
	230 :  73
	231 :  79
	232 :  79
	233 :  79
	234 : 111
	235 :  83
	236 : 115
	237 :  85
	238 :  89
	239 : 152
	240 :  63
	241 :  63
	242 : 250
	243 : 230
	244 : 226
	245 :  63
	246 : 196
	247 : 172
	248 : 171
	249 : 166
	250 : 167
	251 : 174
	252 : 254
	253 : 175
	254 : 242
	255 : 255

#--------------------------------------------------------------------------
# MS-Windows Polish 'programmer' keyboard: SET TERM=cp852pl 
# with SET MODE con cp select=852, Polish language & keyboard,
# console font (properties) = Lucida console
#--------------------------------------------------------------------------
:cp852pl

   390 : 134
   392 : 136
   397 : 141
   399 : 143
   407 : 151
   408 : 152
   413 : 157
   418 : 162
   420 : 164
   421 : 165
   424 : 168
   425 : 169
   427 : 171
   445 : 189
   446 : 190
   480 : 224
   483 : 227
   484 : 228

#--------------------------------------------------------------------------
# iso 8859-2 -> Mazovia
#--------------------------------------------------------------------------
:ISO-8859-2maz
#:ISO_8859_2_maz|fslinxterm|fslinux

    0 - 43: *
   44 : 44
   45 : *
   46 : 46
   47 - 127: *
   128 - 160: *
   161 : 143
   162 : *
   163 : 156
   164 : *
   165 : *
   166 : 152
   167 - 171: *
   172 : 160
   173 : *
   174 : *
   175 : 161
   176 : *
   177 : 134
   178 : *
   179 : 146
   180 : *
   181 : *
   182 : 158
   183 - 187: *
   188 : 166
   189 : *
   190 : *
   191 : 167
   192 - 197: *
   198 : 149
   199 - 201: *
   202 : 144
   203 - 208: *
   209 : 165
   210 : *
   211 : 163
   212 - 229: *
   230 : 141
   231 - 233: *
   234 : 145
   235 - 240: *
   241 : 164
   242 : *
   243 : 162
   244 - 255: *

#--------------------------------------------------------------------------

