/* FS2demo: Demo/Testprogram for bit and numeric manipulations              
 *
 * For FlagShip 5 and 6
 * Copyright (c) 2003..07 by multisoft GmbH, Munich, Germany 
 *
 * You may freely modify this source according to your needs and/or
 * re-use any parts of it in your source code.
 * Release $Date: 2007/06/26 13:31:49 $
 *
 * Compile by "make" (or "nmake" with MS-VC6)
 */

*procedure demo_bit
parameters p1

if wahl = 0
   return
endif

setcolor(enh_color)

@ 5,2 say "Function: " + upper(bit_arr[p1]) + ":"

setcolor(std_color)

do case
   case p1 = 1  .or. p1 = 2                && bittoc, ctobit
     @ 8, 2 say ''
     ? 'bittoc(48, "RWUAED")    =',  bittoc(48, "RWUAED")
     ? 'bittoc(5, "RWUAED", .F.)=',  bittoc(5, "RWUAED", .F.)
     ? 'bittoc(5, "RWUAED", .T.)=',  bittoc(5, "RWUAED", .T.)
     ? 'ctobit("RW","RWUAED")   =',  ctobit("RW","RWUAED")
     ? 'ctobit("RA", "RWUAED")  =',  ctobit("RA", "RWUAED")
     ? 'ctobit("AD", "RWUAED")  =',  ctobit("AD", "RWUAED")

   case p1 = 3  .or. p1 = 4                && celsius, fahrenheit
     @ 8, 2 say ''
     ? 'celsius(33.8)           =',  celsius(33.8)
     ? 'celsius(338.0)          =',  celsius(338.0)
     ? 'celsius(-33.5)          =',  celsius(-33.5)
     ? 'fahrenheit(12.5)        =',  fahrenheit(12.5)
     ? 'fahrenheit(125.0)       =',  fahrenheit(125.0)
     ? 'fahrenheit(-155)        =',  fahrenheit(-155)

   case p1 = 5  .or. p1 = 6                && ctof, ftoc
     @ 8, 2 say ''
     ? 'ftoc(12345.67)       = ',  ftoc(12345.67)
     ? 'ctof(ftoc(12345.67)) = ',  ctof(ftoc(12345.67))
     ? 'ftoc(0.0)            = ',  ftoc(0.0)
     ? 'ctof(ftoc(0.0))      = ',  ctof(ftoc(0.0))
     ? 'ftoc(-77.7)          = ',  ftoc(-77.7)
     ? 'ctof(ftoc(-77.7))    = ',  ctof(ftoc(-77.7))

   case p1 = 7  .or. p1 = 8                && cton, ntoc
     @ 8, 2 say ''
     ? 'cton("60000")               = ', cton("60000")
     ? 'cton("11",2)                = ', cton("11",2)
     ? 'cton("1110101001100000", 2) = ', cton("1110101001100000", 2)
     ? 'cton("xxp", 36)             = ', cton("xxp", 36)
     ? 'ntoc(60000)                 = ', ntoc(60000)
     ? 'ntoc(60000, 10, 7)          = ', ntoc(60000, 10, 7)
     ? 'ntoc(60000, 2)              = ', ntoc(60000, 2)
     ? 'ntoc("FFFF",2)              = ', ntoc("FFFF",2)
     ? 'ntoc(43981, 36, 4)          = ', ntoc(43981, 36, 4)
     ? 'ntoc("GGGG",2)              = ', ntoc("GGGG",2)
     ? 'ntoc("10000", 10, 3)        = ', ntoc("10000", 10, 3)

   case p1 = 9  .or. p1 = 10               && exponent, mantissa
     @ 8, 2 say ''
     ?
     ? 'exponent(0)           =', exponent(0)
     ? 'exponent(infinity())  =', exponent(infinity())
     ? 'exponent(100)         =', exponent(100)
     ? 'exponent(-100)        =', exponent(-100)
     ? 'exponent(0.01)        =', exponent(0.01)
     ? 'exponent(-2.01)       =', exponent(-2.01)
     ?
     ? 'mantissa(0)           =', mantissa(0)
     ? 'mantissa(infinity())  =', mantissa(infinity())
     ? 'mantissa(100)         =', mantissa(100)
     ? 'mantissa(-100)        =', mantissa(-100)
     ? 'mantissa(0.01)        =', mantissa(0.01)
     ? 'mantissa(-2.01)       =', mantissa(-2.01)

   case p1 = 11 .or. p1 = 12 .or. p1 = 13  && infinity, intneg, intpos
     @ 8, 2 say ''
     ? "infinity()        = 1.999 * 2^1023 cannot display"
     ?
     ? 'intneg(0)         =', intneg(0)
     ? 'intneg(-1)        =', intneg(-1)
     ? 'intneg(30000)     =', intneg(30000)
     ? 'intneg(32767)     =', intneg(32767)
     ? 'intneg(60000)     =', intneg(60000)
     ? 'intneg("F000")    =', intneg("F000")
     ? 'intneg("FFF0")    =', intneg("FFF0")
     ?
     ? 'intpos(0)         =', intpos(0)
     ? 'intpos(65536)     =', intpos(65536)
     ? 'intpos(30000)     =', intpos(30000)
     ? 'intpos(60000)     =', intpos(60000)
     ? 'intpos(90000)     =', intpos(90000)
   case p1 = 14 .or. p1 = 15               && isbit, setbit
     @ 8, 2 say ''

     ? 'setbit("0000", 1)  =', setbit("0000", 1)
     ? 'setbit(0, 1, 2, 5) =', setbit(0, 1, 2, 5)
     ? 'setbit(0, 15, 16)  =', setbit(0, 15, 16)
     ? 'setbit(0, 1, 4, 6) =', setbit(0, 1, 4, 6)
     ?
     ? 'isbit(0)               =', isbit(0)
     ? 'isbit("0001")          =', isbit("0001")
     ? 'isbit(1)               =', isbit(1)
     ? 'isbit("0001", 1)       =', isbit("0001", 1)
     ? 'isbit("f000")          =', isbit("f000")
     ? 'isbit("f000", 16)      =', isbit("f000", 16)
     ? 'isbit(setbit(0, 2), 2) =', isbit(setbit(0, 2), 2)

   case p1 = 16                            && lton
     @ 8, 2 say ''
     ? 'lton(.T.)=', lton(.T.)
     ? 'lton(.F.)=', lton(.F.)
     ? 'lton()   =', lton()

   case p1 = 17                            && numcount
     @ 8, 3 say ''
     ? 'numcount(12, .T.) && start value'
     ? 'for ii = 1 to 20'
     ? '   ?? numcount(3)'
     ? 'next'
     ?
       numcount(12, .T.)
       for ii = 1 to 20
          ?? str(numcount(3),4,0)
       next

   case p1 >= 18 .and. p1 <= 24            && numand, numor, numnot,
   *                                          numhigh, numlow, numxor, numrol
     @ 8, 2 say ''
     ? 'numand(49, 33, 17)    =', numand(49, 33, 17)
     ? 'numand("F0F0", "FF00")=', numand("F0F0", "FF00")
     ? 'numor (1,2,4,8,16)    =', numor (1,2,4,8,16)
     ? 'numor ("F0F0", "0F0F")=', numor ("F0F0", "0F0F")
     ? 'numnot("FFFF")        =', numnot("FFFF")
     ? 'numnot(1)             =', numnot(1)
     ? 'numxor("FFFF", 1)     =', numxor("FFFF", 1)
     ? 'numxor("F0F0", "FF00")=', numxor("F0F0", "FF00")
     ? 'numhigh("F000")       =', numhigh("F000")
     ? 'numhigh("000C")       =', numhigh("000C")
     ? 'numlow("EEF0")        =', numlow("EEF0")
     ? 'numlow(32767)         =', numlow(32767)
     ? 'numrol("0001")        =', numrol("0001")
     ? 'numrol(16)            =', numrol(16)

   case p1 = 25 .or. p1 = 26               && rand, random
     @ 8, 2 say ''
     ? 'random()                 =', random()
     ? 'random()                 =', random()
     ? 'random(.T.)              =', random(.T.)
     ? 'random(.T.)              =', random(.T.)
     ? 'random(.F.)              =', random(.F.)
     ? 'random(.F.)              =', random(.F.)
     ?
     ? 'str(rand(      ), 18, 16)=', str(rand(      ), 18, 16)
     ? 'str(rand(      ), 18, 16)=', str(rand(      ), 18, 16)
     ? 'str(rand(0     ), 18, 16)=', str(rand(0     ), 18, 16)
     ? 'str(rand(0     ), 18, 16)=', str(rand(0     ), 18, 16)
     ? 'str(rand(100001), 18, 16)=', str(rand(100001), 18, 16)
     ? 'str(rand(      ), 18, 16)=', str(rand(      ), 18, 16)
   otherwise
      do def_infunc with bit_arr[p1]
endcase
do ende_wait
return

