/* FS2demo: Demo/Testprogram for set functions             
 *
 * For FlagShip 5 and 6
 * Copyright (c) 2003..07 by multisoft GmbH, Munich, Germany 
 *
 * You may freely modify this source according to your needs and/or
 * re-use any parts of it in your source code.
 * Release $Date: 2007/06/26 13:36:17 $
 *
 * Compile by "make" (or "nmake" with MS-VC6)
 */

*procedure demo_set
parameters p1

if wahl = 0
   return
endif

@ 7,0 say ''


do case
   case p1 =  1                                      && csetall
      ? 'Saving current settings'
      ? 'buffer = csetall()'
      buffer = csetall()
      ? 'Changing some SEYs'
      ? 'csetbell(.T.)'
      csetbell(.T.)
      ? 'csetconf(.F.)'
      csetconf(.F.)
      ? 'csetcons(.T.)'
      csetcons(.T.)
      ? 'csetcurs(.F.)'
      csetcurs(.F.)
      ? 'set deleted ON                          && is also possible'
      set deleted on
      ? 'and restoring the old setting'
      ? 'csetall(buffer)'
      csetall(buffer)

   case p1 >= 2 .and. p1 <= 10          && csetalte bell carr cent conf cons
   *                                    &&          curs dele deli devi esca

      ? 'csetalte() (SET ALTERNATE) =', if (csetalte(), "On", "Off")
      ? 'csetbell() (SET BELL     ) =', if (csetbell(), "On", "Off")
      ? 'csetcarr() (SET CARRY    ) =', if (csetcarr(), "On", "Off")
      ? 'csetcent() (SET CENTURY  ) =', if (csetcent(), "On", "Off")
      ? 'csetconf() (SET CONFIRM  ) =', if (csetconf(), "On", "Off")
      ? 'csetcons() (SET CONSOLE  ) =', if (csetcons(), "On", "Off")
      ? 'csetcurs() (SET CURSOR   ) =', if (csetcurs(), "On", "Off")
      ? 'csetdele() (SET DELETED  ) =', if (csetdele(), "On", "Off")
      ? 'csetdeli() (SET DELIMIT. ) =', if (csetdeli(), "On", "Off")
   case p1 >= 11 .and. p1 <= 21         && csetexac devi esca fixe inte prin
   *                                    &&          scor soft uniq wrap

      ? 'csetdevi() (SET DEVICE   ) =', if (csetdevi(), "On", "Off")
      ? 'csetesca() (SET ESCAPE   ) =', if (csetesca(), "On", "Off")
      ? 'csetfixe() (SET FIXED    ) =', if (csetfixe(), "On", "Off")
      ? 'csetinte() (SET INTENSITY) =', if (csetinte(), "On", "Off")
      ? 'csetprin() (SET PRINT    ) =', if (csetprin(), "On", "Off")
      ? 'csetscor() (SET SCOREBDB.) =', if (csetscor(), "On", "Off")
      ? 'csetsoft() (SET SOFTSEEK ) =', if (csetsoft(), "On", "Off")
      ? 'csetuniq() (SET UNIQUE   ) =', if (csetuniq(), "On", "Off")
      ? 'csetwrap() (SET WRAP     ) =', if (csetwrap(), "On", "Off")

   case p1 >= 22 .and. p1 <= 25         && csetclip date deci marg
      ? 'csetclip() (SET CLIPPER  ) =', csetclip(), '[*]'
      ? 'csetdate() (SET DATE     ) =', csetdate()
      do case
      case csetdate() = 1
         ?? ' (AMERICAN)'
      case csetdate() = 2
         ?? ' (ANSI)'
      case csetdate() = 3
         ?? ' (BRITISH)'
      case csetdate() = 4
         ?? ' (FRENCH)'
      case csetdate() = 5
         ?? ' (GERMAN)'
      case csetdate() = 6
         ?? ' (ITALIAN)'
      otherwise
         ?? ' (UNKNOWN)'
      endcase
      ? 'csetdeci() (SET DECIMALS ) =', csetdeci()
      ? 'csetmarg() (SET MARGIN   ) =', csetmarg()
      ? ''
      ? '[*]: csetclip() returns constant 0 in Flagship'

   case p1 >= 26 .and. p1 <= 29         && csetldel rdel defa path
      ? 'csetldel() und '
      ? 'csetrdel() (SET DELIMITER) = [' + csetldel() +  '] und [' + ;
                                           csetrdel() + ']'
      ? 'csetdefa() (SET DEFAULT  ) =', csetdefa()
      ? 'csetpath() (SET PATH     ) =', csetpath()

   case p1 = 30                                      && csetfunc
      set function 10 to "abcdefghijklmnopqrstuvwyxz"
      * set function 40 to chr(27) + chr(27) + chr(27) in fs2demo.prg
      ? 'csetfunc(10) = ', csetfunc(10)
      ? 'csetfunc(11) = ', csetfunc(11)
      ? 'csetfunc(21) = ', csetfunc(21)
      ? 'csetfunc(40) = '
      for ii = 1 to len(csetfunc(40))
         ?? ' chr(' + str(asc(substr(csetfunc(40),ii,1)),2) + ')'
      next

   case p1 = 31                                      && csetkey
      ? 'csetkey(28) (TASTE F1)      = ', csetkey(28)
      ? 'csetkey(19) (TASTE CsLinks) = ', csetkey( 4)
      ? 'csetkey( 4) (TASTE CsRechts)= ', csetkey(19)
      ? 'csetkey(-1) (TASTE F2)      = ', csetkey(-2)
      ? 'csetkey(-2) (TASTE F3)      = ', csetkey(-3)

   case p1 >= 32 .and. p1 <= 34         && csetrdonly csetsnow isdebug
      ? 'csetrdonly() =', if(csetrdonly(), "On", "Off")
      ? 'csetsnow  () =', if(csetsnow  (), "On", "Off")
      ? 'isdebug   () =', if(isdebug   (), "On", "Off")

   case p1 = 35                                      && setlastkey
      ? 'setlastkey(28)                          && f1 key'
      setlastkey(28)
      ? 'lastkey() = ', lastkey()
      ? 'setlastkey(-1)                          && f2 key'
      setlastkey(-1)
      ? 'lastkey() = ', lastkey()
      ? 'setlastkey(0)                           && no key'
      setlastkey(0)
      ? 'lastkey() = ', lastkey()

   otherwise
      do def_infunc with datefn_arr[p1]
endcase
do ende_wait

return



