/* FS2demo: Demo/Testprogram for string/token functions               
 *
 * For FlagShip 5 and 6
 * Copyright (c) 2003..07 by multisoft GmbH, Munich, Germany 
 *
 * You may freely modify this source according to your needs and/or
 * re-use any parts of it in your source code.
 * Release $Date: 2007/06/26 13:37:28 $
 *
 * Compile by "make" (or "nmake" with MS-VC6)
 */

*procedure demo_stk
parameters p1

if wahl = 0
   return
endif

setcolor(enh_color)

@ 5,2 say "Function " + upper(stoken_arr[p1]) + ":"

setcolor(std_color)
do case
   case p1 = 1                                      && attoken()"
      @ 7,3 say" "
      ? 'attoken("within this sentence a token is", 2) =',;
         attoken("within this sentence a token is", 2)
      ? 'attoken("within this sentence a token is")    =',;
         attoken("within this sentence a token is")

   case p1 = 2                                      && numtoken()"
      @ 7,3 say" "
      ? 'numtoken("within this sentence a token is")      =', ;
         numtoken("within this sentence a token is")
      ? 'numtoken("within this sentence a.token is", ".") =', ;
         numtoken("within this sentence a.token is", ".")

   case p1 = 3 .or. p1 = 4                          && tokenlower() tokenupper()
      @ 7,3 say" "
      ? 'tokenlower("I CONTAIN UPPERCASE CHARS"," ", 3) =', tokenlower("I CONTAIN UPPERCASE CHARS"," ", 3)
      ? 'tokenlower("I CONTAIN UPPERCASE CHARS", 3)     =', tokenlower("I CONTAIN UPPERCASE CHARS", 3)
      ? 'tokenlower("I CONTAIN UPPERCASE CHARS")        =', tokenlower("I CONTAIN UPPERCASE CHARS")
      ? 'tokenupper("i contain lowercase chars"," ", 3) =', tokenupper("i contain lowercase chars"," ", 3)
      ? 'tokenupper("i contain lowercase chars", 3)     =', tokenupper("i contain lowercase chars", 3)
      ? 'tokenupper("i contain lowercase chars")        =', tokenupper("i contain lowercase chars")
   case p1 = 5 .or. p1 = 6                          && token() tokensep()
      @ 7,3 say" "
      ? 'token("within this sentence a token is",2) =', ;
         token("within this sentence a token is",2)
      ? 'token("within this !sentence? a token is",3) =', ;
         token("within this !sentence? a token is",3)
      ? ''
      ? 'tokensep (" ")= ', tokensep (" ")
      ? 'tokensep (.F.)= ', tokensep (.F.)
      ? 'tokensep (.T.)= ', tokensep (.T.)

   case p1 >= 7 .and. p1 <= 8                       && tokennext()  tokeninit()
      @ 7,3 say" "
      ? 'dummy = "within this sentence a token is"'
      dummy = "within this sentence a token is"
      ? 'tokeninit(@dummy) = ', tokeninit(@dummy)
      ? ''
      ? 'for ii = 1 to 7  '
      ? '   ? tokennext() '
      ? 'next             '
      ? ''
      for ii = 1 to 7
         ? 'tokennext() = >' + tokennext() + '<'
      next
   otherwise
      do def_infunc with stoken_arr[p1]
endcase
do ende_wait

return

