** example1.prg ----------------------------------------------------
*
* Compile: FlagShip example1.prg -oexample1
* Note   : preferrably "cp /etc/FSconfig ." and modify ./FSconfig
*          for static linking. See details in fs4web.html|.txt

#define DBFNAME "example1"
#define DBFPATH "/cgi-bin"
#define HEADER_REQUIRED

   parameter cCust
   field custID, name, address

   if empty(cCust)
      cCust := getenv("QUERY_STRING")
      if !empty(cCust) .and. ("=" $ cCust)
         cCust := trim(substr(cCust, rat("=",cCust)+1))
      endif
   endif
   nCust := val(cCust)

#ifdef HEADER_REQUIRED
   ?? "Content-Type: text/html"
   ?
#endif
   ? "<HTML>"
   ? "<HEAD><TITLE>Test Web Page</TITLE></HEAD>"
   ? "<BODY>"       // or: ? '<BODY BCOLOR="#FFFFFF">'

   if !file(DBFNAME + ".dbf")
      set default to (DBFPATH)
   endif
   if !file(DBFNAME + ".dbf") .or. !file(DBFNAME + ".idx")
      ? "<P>*** sorry, database not available or wrong path **"
   elseif nCust == 0
      ? "<P>*** sorry, no data without customer ID **"
   else
      use (DBFNAME) index (DBFNAME) shared
      ok := used() .and. !neterr()
      ? "Listing the data for customer no. " + ltrim(str(nCust))
      if !ok
         ? "<P>*** error, cannot open database or index"
      else
         seek nCust
         if !found()
            ? "<P>*** sorry, no data available for this cust no."
         else
            ? "<P><TT>"
            while !eof() .and. custID == nCust
               ? custID, name, trim(address), "<BR>"
               skip
            enddo
            ?? "</TT>"
         endif
      endif
   endif
   ? "<P>"
   ? "</BODY>"
   ? "</HTML>"
   ?
   quit

// disable curses, disable start-up messages if any
//
FUNCTION ProgramInit()       // required for the Demo in
   CALL fgsUse4html          // release 4.42.0448 and newer
   RETURN NIL                // see fsman sect SYS.2.9

FUNCTION CursesInit()
   RETURN NIL

** eof example1.prg -----------------------------------------------

