# ----------------------------------------------------------------------------
# Character output Mapping for FlagShip  (Multinational Version)
# This mapping assumes that FlagShip runs on base of an IBM-PC char set
#=============================================================================
# Loaded by FlagShip automatically on program begin for act. terminal
# TERM=<terminal>, or from programmer via funct. FS_SET ("mapping"),
# if this mapping table is found in
# - actual directory, or
# - path given in environment var SCRMAP, or
# - path given in environment var TERMINFO, or
# - path given in FlagShip setting SET PATH TO, or
# - standard path for terminfo.
#
# Table Syntax:
# <:> terminal[|terminal|terminal...] <space> comment
#     <space> inchar <:>        <space> outchar <space> modus
#     <space> inchar-inchar <:> <space> outchar <space> modus
# where:
#     inchar  = decim equivalent for input  char
#     outchar = decim equivalent for output char (* same as inchar)
#     modus   = 1: standard, 2: alternate, 3: protect


#-----------------------------------------------------------------------------
# SUN Sparc Station, old mapping of FS 2.3
#-----------------------------------------------------------------------------
#FSsun|FSsun-cmd|sun|sun-cmd
#   0-15: 32    1
#  16-17: *+224 1
#  18-23: 32    1
#  24-27: *+224 1
#  28-29: 32    1
#  30-31: *+224 1
#  32-127:   *     1
#  128-143:  *+32  1
#  144-148:  *+17  1
#  149-159:  *+16  1
#  160-195: *     1
#  196:      212      1
#  197-255: *     1

#-----------------------------------------------------------------------------
# SUN Sparc Station, setting according to delivered fonts
#-----------------------------------------------------------------------------
:fssun|fssun-cmd|sun|sun-cmd   = SUN Sparc deliv.fonts
   0-15:       32 1
	 16:      252 1
	 17:      253 1
	 18:      247 1
	 19:      239 1
	 20:      238 1
	 21:      240 1
	 22:      245 1
	 23:      130 1
	 24:      248 1
	 25:      249 1
	 26:      250 1
	 27:      251 1
	 28:      162 1
	 29:      246 1
	 30:      254 1
	 31:      255 1
	 32-127:    * 1
	 128:     162 1
	 129:     161 1
	 130:     162 1
	 131:     162 1
	 132:     164 1
	 133-141: 162 1
	 142:     174 1
	 143-147: 162 1
	 148:     165 1
	 149-152: 162 1
	 153:     169 1
	 154:     170 1
	 155-175: 162 1
	 176-223:   * 1
	 224:     162 1
	 225:     160 1
	 226-247: 162 1
	 248:     241 1
	 249:     242 1
	 250:     243 1
	 251-253: 162 1
	 254:     244 1
	 255:      32 1

#-----------------------------------------------------------------------------
# SUN Sparc Station, running xterm with spc fonts
#-----------------------------------------------------------------------------
:fssunxterm|fslinxterm|fsdgxterm|fsiclxterm  = SUN/Linux/AViiON xterm w/spc
	0-255: * 1
	0-31: *+95 2
	129: 160 1
	132: 161 1
	142: 162 1
	148: 163 1
	153: 164 1
	154: 165 1

#-----------------------------------------------------------------------------
# SUN Sparc station console with Solaris in alpha mode, no line drawing chars
# Data General AViiN console in alpha mode,, no line drawing chars
# may be used as general purpose iso 7 bit mapping
#-----------------------------------------------------------------------------
# Characters < 32 are mapped
# Line drawing is done using "+,-,|"
# Umlauts > 128 are mapped to ISO - Style (Standard char set)
# Char 246 has been changed to minus, some iso-vt-terminals dont have it

:fssuncons|fsav300|ISO-7Bit = Workstation alpha console, ISO font w/o altchars,

  1-15:      63   1
  16:        62   1
  17:        60   1
  18:       124   1 
  19:        33   1
  20:       182   1 
  21:       167   1
  22:        46   1 
  23:        46   1 
  24:        94   1
  25:       118   1
  26:        62   1
  27:        60   1
  28:        72   1 
  29:        46   1 
  30:        94   1
  31:       118   1
  32-127:     *   1
  128:      199   1
  129:      252   1
  130:      233   1
  131:      226   1
  132:      228   1
  133:      224   1
  134:      229   1
  135:      231   1
  136:      234   1
  137:      235   1
  138:      232   1
  139:      239   1
  140:      238   1
  141:      236   1
  142:      196   1
  143:      197   1
  144:      201   1
  145:      230   1
  146:      198   1
  147:      244   1
  148:      246   1
  149:      242   1
  150:      251   1
  151:      249   1
  152:      255   1
  153:      214   1
  154:      220   1
  155:      162   1
  156:      163   1
  157:      165   1
  158:       80   1
  159:      102   1
  160:      225   1
  161:      237   1
  162:      243   1
  163:      250   1
  164:      241   1
  165:      209   1
  166:      170   1
  167:      111   1
  168:       63   1
  169:      191   1
  170:       43   1
  171:      189   1
  172:      188   1
  173:      161   1
  174:      171   1
  175:      187   1
  176:      164   1
  177:       42   1
  178:       35   1
  179:      124   1
  180:       43   1
  181:       43   1
  182:       43   1
  183:       43   1
  184:       43   1
  185:       43   1
  186:      124   1
  187:       43   1
  188:       43   1
  189:       43   1
  190:       43   1
  191:       43   1
  192:       43   1
  193:       43   1
  194:       43   1
  195:       43   1
  196:       45   1
  197:       43   1
  198:       43   1
  199:       43   1
  200:       43   1
  201:       43   1
  202:       43   1
  203:       43   1
  204:       43   1
  205:       45   1
  206:       43   1
  207:       43   1
  208:       43   1
  209:       43   1
  210:       43   1
  211:       43   1
  212:       43   1
  213:       43   1
  214:       43   1
  215:       43   1
  216:       43   1
  217:       43   1
  218:       43   1
  219:       42   1
  220:       42   1
  221:       42   1
  222:       42   1
  223:       42   1
  224:       46   1 
  225:      223   1
  226:       46   1
  227:       46   1
  228:       46   1
  229:       46   1
  230:      181   1
  231:       46   1
  232:       46   1
  233:       46   1
  234:       46   1
  235:       46   1
  236:       46   1
  237:      248   1
  238:       46   1
  239:       46   1
  240:       61   1
  241:      177   1
  242:       62   1 
  243:       60   1
  244:       63   1 
  245:       63   1 
  246:       45   1
  247:       61   1
  248:      176   1
  249:       46   1
  250:       46   1  
  251:       46   1
  252:       46   1
  253:      178   1
  254:       46   1 
  255:       32   1

#-----------------------------------------------------------------------------
# vt100 terminal emulations/terminals with a pc-character set
#-----------------------------------------------------------------------------
# Chars 1..31 are translated to vt100 alternate set, which
# Chars 128..255 are printed with standard char set.

:fsvt100|fsvt100-50|fsvt100-m|vt100|fsVT400-p25|fsVT400-p48 = vt100 emulat.w.PC8 set

  0:       32  1
  1-6:     *   1
  7-15:    46  1 
  17:      60  1
  18:      124 1
  19:      33  1
  20-26:   *   1
  27:      60  1
  28:      192 1
  29:      45  1
  30 - 31: *   3
  32-126:  *   1
  127:     32  1
  128-154: *   1
  155:     60  1
  156-254: *   1
  255:     32  1

#-----------------------------------------------------------------------------
# ANSI PC terminals:
#-----------------------------------------------------------------------------
# Chars 1..31 are translated to vt100 alternate set, which
# confirms to acsc=... setting in your terminfo.src.
# Chars 128..255 are printed with alternate char set.

:ansi|fsansi|fsansi-c|fsansi-m|fsansi-43|at386|at386-M|fsAT386|fsAT386-M = PC Color&Mono console

  0:       32  1
  1-7:     *   3
  8:       46  1 
  9:       46  1 
  10:      46  1 
  11-12:   *   3
  13:      46  1 
  14-26:   *   3
  27:      60  1
  28-31:   *   3
  32-126:  *   1
  127:     32  1
  128-154: *   1
  155:     60  1
  156-254: *   1
  255:     32  1


#-----------------------------------------------------------------------------
# ANSI IBM terminals: same as PC Terminals, but no third CharSet
# can be used for terminal with std. IBM PC Charset but without first 32 chars
#-----------------------------------------------------------------------------
# Chars 1..31 are translated best fit std chars               
# Chars 128..255 are printed with standard char set.

:fsIBMansi|fsansiX = IBM ansi console 

  0:       32   1 
  1-15:    46   1 
  16:      62   1
  17:      60   1
  18-25:   46   1    
  26:      62   1
  27:      60   1
  28:     192   1
  29:      45   1
  30:      94   1
  31:     118   1       
  32-126:  *   1
  127:     32  1
  128-154: *   1
  155:     60  1
  156-254: *   1
  255:     32  1

#-----------------------------------------------------------------------------
# Siemens 7 Bit terminal with german character set
#-----------------------------------------------------------------------------
# Chars 1..31 are translated to character set IBM
# Characters 127-175 are translated to dot or umlaut
# Characters > 175 are translated to character set BRACKETS
#
# see also: sinfilt / dosfilt to convert charsets
#
:fs97801-725|fs97801-733|fs97801-724    = Siemens 7-Bit terminal,
#  charsets: 1=german 2=brackets 3=ibm

  1-20:    *+32     3
  21:        64   1
  22-31:   *+32     3
  32-63:      *   1
  64:        64   1
  65-90:      *   1
  91:        40   1
  92:        58    2
  93:        41   1
  94-122:     *   1
  123:       87    2
  124:       64    2
  125:       86    2
  126:      108     3
  127:       62     3
  128:       67   1
  129:      125   1
  130:      101   1
  131:       97   1
  132:      123   1
  133:       97   1
  134:       97   1
  135:       99   1
  136:      101   1
  137:      101   1
  138:      101   1
  139:      105   1
  140:      105   1
  141:      105   1
  142:       91   1
  143:       65   1
  144:       69   1
  145:       97   1
  146:       65   1
  147:      111   1
  148:      124   1
  149:      111   1
  150:      117   1
  151:      117   1
  152:      121   1
  153:       92   1
  154:       93   1
  155:       99   1
  156:       46   1
  157:       89   1
  158:       80   1
  159:      102   1
  160:       97   1
  161:      105   1
  162:      111   1
  163:      117   1
  164:      110   1
  165:       78   1
  166:       97   1
  167:      111   1
  168:       63   1
  169:       66    2
  170:       67    2
  171:       46   1
  172:       46   1
  173:       46   1
  174:       52    2
  175:       53    2
  176:       93    2
  177:       94    2
  178:       95    2
  179:       64    2
  180:       71    2
  181:       71    2
  182:      103    2
  183:       67    2
  184:       67    2
  185:      103    2
  186:       96    2
  187:       99    2
  188:      101    2
  189:       69    2
  190:       69    2
  191:       67    2
  192:       68    2
  193:       73    2
  194:       72    2
  195:       70    2
  196:       65    2
  197:       74    2
  198:       70    2
  199:      102    2
  200:      100    2
  201:       98    2
  202:      105    2
  203:      104    2
  204:      102    2
  205:       97    2
  206:      106    2
  207:      105    2
  208:       73    2
  209:      104    2
  210:       72    2
  211:       68    2
  212:       68    2
  213:       66    2
  214:       66    2
  215:       74    2
  216:       74    2
  217:       69    2
  218:       66    2
  219:       40    2
  220:       35    2
  221:       38    2
  222:       37    2
  223:       36    2
  224:      125     3
  225:      126   1
  226:      124    2
  227:       46   1
  228:      109     3
  229:      125    2
  230:       46   1
  231:      126    2
  232:      126     3
  233:       46   1
  234:       46   1
  235:       46   1
  236:      124     3
  237:       46   1
  238:       46   1
  239:       46   1
  240:      113    2
  241:       46   1
  242:      118    2
  243:      119    2
  244:      110     3
  245:      111     3
  246:       58   1
  247:      108     3
  248:       63    2
  249:       62    2
  250:       44    2
  251:       46   1
  252:       46   1
  253:       98     3
  254:       40    2
  255:       32   1

#-----------------------------------------------------------------------------
# Siemens 8 Bit terminal with german character set
#-----------------------------------------------------------------------------
# Chars 1..31 are translated to character set IBM
# Characters 127-175 are translated to dot or umlaut
# Characters > 175 are translated to character set BRACKETS
#
# see also: sinfilt / dosfilt to convert charsets
#
:fs97801-825|fs97801-833|fs97801-825c|fs97801-833c = Siemens 8-Bit terminal,
# charsets: 1=german 2=brackets 3=ibm
  1-20:    *+32     3
  21:       167   1
  22-31:   *+32     3
  32-63:      *   1
  64-127:     *   1
  128:      199   1
  129:      252   1
  130:      233   1
  131:      226   1
  132:      228   1
  133:      224   1
  134:      229   1
  135:      231   1
  136:      234   1
  137:      235   1
  138:      232   1
  139:      239   1
  140:      238   1
  141:      236   1
  142:      196   1
  143:      197   1
  144:      201   1
  145:      230   1
  146:      198   1
  147:      244   1
  148:      246   1
  149:      242   1
  150:      251   1
  151:      249   1
  152:      255   1
  153:      214   1
  154:      220   1
  155:      162   1
  156:      163   1
  157:      165   1
  158:       80   1
  159:      102   1
  160:      225   1
  161:      237   1
  162:      243   1
  163:      250   1
  164:      241   1
  165:      209   1
  166:      170   1
  167:      111   1
  168:       63   1
  169:      191   1
  170:      172   1
  171:      189   1
  172:      188   1
  173:      161   1
  174:      171   1
  175:      187   1
  176:       93    2
  177:       94    2
  178:       95    2
  179:       64    2
  180:       71    2
  181:       71    2
  182:      103    2
  183:       67    2
  184:       67    2
  185:      103    2
  186:       96    2
  187:       99    2
  188:      101    2
  189:       69    2
  190:       69    2
  191:       67    2
  192:       68    2
  193:       73    2
  194:       72    2
  195:       70    2
  196:       65    2
  197:       74    2
  198:       70    2
  199:      102    2
  200:      100    2
  201:       98    2
  202:      105    2
  203:      104    2
  204:      102    2
  205:       97    2
  206:      106    2
  207:      105    2
  208:       73    2
  209:      104    2
  210:       72    2
  211:       68    2
  212:       68    2
  213:       66    2
  214:       66    2
  215:       74    2
  216:       74    2
  217:       69    2
  218:       66    2
  219:       40    2
  220:       35    2
  221:       38    2
  222:       37    2
  223:       36    2
  224:      125     3
  225:      223   1
  226:      124    2
  227:       46   1
  228:      109     3
  229:      125    2
  230:      181   1
  231:      126    2
  232:      126     3
  233:       46   1
  234:       46   1
  235:       46   1
  236:      124     3
  237:      248   1
  238:       46   1
  239:       46   1
  240:      113    2
  241:      177   1
  242:      118    2
  243:      119    2
  244:      110     3
  245:      111     3
  246:      247   1
  247:      108     3
  248:      176   1
  249:       62    2
  250:       44    2
  251:       46   1
  252:       46   1
  253:       98     3
  254:       40    2
  255:       32   1

#-----------------------------------------------------------------------------
# NCR 4790, Bull Questar 303 and DEC VT100 VT200
#-----------------------------------------------------------------------------
# Characters < 32 are mapped
# Line drawing is done using the Line Drawing character set
# Umlauts > 128 are mapped to ISO - Style (Standard char set)
# Char 246 has been changed to minus, some iso-vt-terminals dont have it

:ISO|iso|fsncr4970-132|fsncr4970-80|fsbullq303-80|fsbullq303-132|fsVT100-80|fsVT200-80|fsVT100|fsVT200|fsVT300|fsVT200-132|fsVT200-80|fsvt200c|fsvt220c|fsVT100-25|fsdtterm|fscitoh324|fsiclM5-24|fsiclM5-25|fsvt300|fsVT400-25|fsVT400-48 = ISO, VT100,200 NCR4790 Bull

  1-15:      63   1
  16:        62   1
  17:        60   1
  18:        96    2
  19:        33   1
  20:       123   2
  21:       167   1
  22:        96    2
  23:        96    2
  24:        94   1
  25:       118   1
  26:        62   1
  27:        60   1
  28:       109    2
  29:        96    2
  30:        94   1
  31:       118   1
  32-127:     *   1
  128:      199   1
  129:      252   1
  130:      233   1
  131:      226   1
  132:      228   1
  133:      224   1
  134:      229   1
  135:      231   1
  136:      234   1
  137:      235   1
  138:      232   1
  139:      239   1
  140:      238   1
  141:      236   1
  142:      196   1
  143:      197   1
  144:      201   1
  145:      230   1
  146:      198   1
  147:      244   1
  148:      246   1
  149:      242   1
  150:      251   1
  151:      249   1
  152:      255   1
  153:      214   1
  154:      220   1
  155:      162   1
  156:      163   1
  157:      165   1
  158:       80   1
  159:      102   1
  160:      225   1
  161:      237   1
  162:      243   1
  163:      250   1
  164:      241   1
  165:      209   1
  166:      170   1
  167:      111   1
  168:       63   1
  169:      191   1
  170:       43   1
  171:      189   1
  172:      188   1
  173:      161   1
  174:      171   1
  175:      187   1
  176:       97    2
  177:       97    2
  178:       97    2
  179:      120    2
  180:      117    2
  181:      117    2
  182:      117    2
  183:      107    2
  184:      107    2
  185:      117    2
  186:      120    2
  187:      107    2
  188:      106    2
  189:      106    2
  190:      106    2
  191:      107    2
  192:      109    2
  193:      118    2
  194:      119    2
  195:      116    2
  196:      113    2
  197:      110    2
  198:      116    2
  199:      116    2
  200:      109    2
  201:      108    2
  202:      118    2
  203:      119    2
  204:      116    2
  205:      113    2
  206:      110    2
  207:      118    2
  208:      118    2
  209:      119    2
  210:      119    2
  211:      109    2
  212:      109    2
  213:      108    2
  214:      108    2
  215:      110    2
  216:      110    2
  217:      106    2
  218:      108    2
  219:       42    2
  220:       42    2
  221:       42    2
  222:       42    2
  223:       42    2
  224:       96    2
  225:      223   1
  226:       46   1
  227:       46   1
  228:       46   1
  229:       46   1
  230:      181   1
  231:       46   1
  232:       46   1
  233:       46   1
  234:       46   1
  235:       46   1
  236:       46   1
  237:      248   1
  238:       46   1
  239:       46   1
  240:       61   1
  241:      177   1
  242:      121    2
  243:      122    2
  244:      108    2
  245:      106    2
  246:       45   1
  247:       61   1
  248:      176   1
  249:      102    2
  250:      126    2
  251:       46   1
  252:       46   1
  253:      178   1
  254:       96    2
  255:       32   1

#-----------------------------------------------------------------------------
# Wyse60 terminal with IBM-PC-Char set and HP 9000 Apollo X-terminal
#-----------------------------------------------------------------------------
# Characters < 32 are mapped

:fswy60-24|fswy60-25|fswy60-43|fshpterm = HP9000 & Wyse60 PC8
  1-15:      63   1
  16:        62   1
  17:        60   1
  18:       124   1
  19:        33   1
  20:       227   1
  21:        63   1
  22:       254   1
  23:       124   1
  24:        94   1
  25:       118   1
  26:        62   1
  27:        60   1
  28:       192   1
  29:        45   1
  30:        94   1
  31:       118   1
  32-255:     *   1

#-----------------------------------------------------------------------------
# HP 9000 xterm Terminal emulator with spc* font (not for hpterm)
#-----------------------------------------------------------------------------
# Characters < 32 are mapped
# Umlauts > 128 are mapped to normal characters aouei 
:fshpxterm = HP9000 xterm with spc font

  1-15:      63   1
  16:        62   1
  17:        60   1
  18:       124   1
  19:        33   1
  20:       227   1
  21:        63   1
  22:       254   1
  23:       124   1
  24:        94   1
  25:       118   1
  26:        62   1
  27:        60   1
  28:       192   1
  29:        45   1
  30:        94   1
  31:       118   1
  32-127:     *   1
  128:       67   1
  129:      125   1
  130:      101   1
  131:       97   1
  132:      123   1
  133:       97   1
  134:       97   1
  135:       99   1
  136:      101   1
  137:      101   1
  138:      101   1
  139:      105   1
  140:      105   1
  141:      105   1
  142:       91   1
  143:       65   1
  144:       69   1
  145:       97   1
  146:       65   1
  147:      111   1
  148:      124   1
  149:      111   1
  150:      117   1
  151:      117   1
  152:      121   1
  153:       92   1
  154:       93   1
  155:       99   1
  156:       46   1
  157:       89   1
  158:       80   1
  159:      102   1
  160-255:    *   1

#-----------------------------------------------------------------------------
# HP Roman 8  Output character mapping (unused). Maps graphical chars to +-|,
#                 chars 1-31 to ? , 32-127 to itself, 8-bit chars to roman 8
# This mapping can be used on HP hosts with HP roman 8 fonts
#-----------------------------------------------------------------------------
:fshproman8 = HP9000 Roman8 font

  1-15:      63   1
  16:        62   1
  17:        60   1
  18:       124   1
  19:        33   1
  20:       244   1
  21:       189   1
  22:        45   1
  23:       124   1
  24:        94   1
  25:       118   1
  26:        62   1
  27:        60   1
  28:        43   1
  29:        45   1
  30:        94   1
  31:       118   1
  32-127:     *   1
  128:      180   1
  129:      207   1
  130:      197   1
  131:      192   1
  132:      204   1
  133:      200   1
  134:      212   1
  135:      181   1
  136:      193   1
  137:      205   1
  138:      201   1
  139:      221   1
  140:      209   1
  141:      213   1
  142:      216   1
  143:      208   1
  144:      220   1
  145:      215   1
  146:      211   1
  147:      194   1
  148:      206   1
  149:      202   1
  150:      195   1
  151:      203   1
  152:      239   1
  153:      218   1
  154:      219   1
  155:      191   1
  156:      175   1
  157:      188   1
  158:      240   1
  159:      190   1
  160:      196   1
  161:      213   1
  162:      198   1
  163:      199   1
  164:      183   1
  165:      182   1
  166:      249   1
  167:      250   1
  168:      185   1
  169:       43   1
  170:       43   1
  171:      248   1
  172:      247   1
  173:      184   1
  174:      251   1
  175:      253   1
  176:       42   1
  177:       42   1
  178:       42   1
  179:      124   1
  180:      124   1
  181:      124   1
  182:      124   1
  183:       43   1
  184:       43   1
  185:      124   1
  186:      124   1
  187:       43   1
  188:       43   1
  189:       43   1
  190:       43   1
  191:       43   1
  192:       43   1
  193:       45   1
  194:       45   1
  195:      124   1
  196:       45   1
  197:       43   1
  198:      124   1
  199:      124   1
  200:       43   1
  201:       43   1
  202:       45   1
  203:       45   1
  204:      124   1
  205:       45   1
  206:       43   1
  207:       45   1
  208:       45   1
  209:       45   1
  210:       45   1
  211:       43   1
  212:       43   1
  213:       43   1
  214:       43   1
  215:       43   1
  216:       43   1
  217:       43   1
  218:       43   1
  219:       35   1
  220:       35   1
  221:       35   1
  222:       35   1
  223:       35   1
  224:       63   1
  225:       63   1
  226:       63   1
  227:       63   1
  228:       63   1
  229:       63   1
  230:      243   1
  231:       63   1
  232:       63   1
  233:       63   1
  234:       63   1
  235:      228   1
  236:       63   1
  237:       63   1
  238:       63   1
  239:       63   1
  240:       63   1
  241:      254   1
  242:       62   1
  243:       60   1
  244:      123   1
  245:      123   1
  246:       58   1
  247:       61   1
  248:      179   1
  249:      242   1
  250:      250   1
  251:       82   1
  252:      110   1
  253:      170   1
  254:      252   1
  255:      255   1

#-----------------------------------------------------------------------------
# IBM RS6000 with (nearly) IBM PC Character set:
#-----------------------------------------------------------------------------
# cHars 1..31 are translated to standard characters
# single-/double-line (edges) characters are mapped to single-line characters
# other chars > 128 wich differ from IBM PC Char set remain unmapped

:fsaixterm|fsaixterm-M|fsibm5151|fsibm5154|fsibm6153 = IBM6000 & PC8 chars

  0:       32  1
  1 - 14:  63  1
  15:     207  1
  16:      62  1
  17:      60  1
  18:     124  1
  19:      33  1
  20:     244  1
  21:     245  1
  22:      45  1
  23:     124  1
  24:      94  1
  25:     118  1
  26:      62  1
  27:      60  1
  28:      43  1
  29:      45  1
  30:      94  1
  31:     118  1
 127:      32  1
 128-180:   *  1
 181:     180  1
 182:     180  1
 183:     191  1
 184:     191  1
 185-188:   *  1
 189:     217  1
 190:     217  1
 191-197:   *  1
 198:     195  1
 199:     195  1
 200-206:   *  1
 207:     193  1
 208:     193  1
 209:     194  1
 210:     194  1
 211:     192  1
 212:     192  1
 213:     218  1
 214:     218  1
 215:     197  1
 216:     197  1
 217-221:   *  1
 222:     124  1
 223-254:   *  1
 255:      32  1

#-----------------------------------------------------------------------------
# Data General AVIION, running under Xwindows
# acsc string is used to output graphical characters, 8bit characters are
# mapped from ISO to IBM-PC charset.
# We recommend to use one of the fonts:
#       sony-fixed-r-normal-*-*-*-*-c-*-iso8859-1
# e.g.:
#       sony-fixed-r-normal-24-170-100-100-c-120-iso8859-1
# for this mapping
#-----------------------------------------------------------------------------
:fsDGxterm = DG AViiON & X/Windows
  1-15:      63   1
  16:        62   1
  17:        60   1
  18:       124   1
  19:        33   1
  20:       123    2
  21:       167   1
  22:        45   1
  23:       124   1
  24:        94   1
  25:       118   1
  26:        62   1
  27:        60   1
  28:       109    2
  29:        45   1
  30:        94   1
  31:       118   1
  32-126:     *   1
  127:       49   1
  128:      199   1
  129:      252   1
  130:      233   1
  131:      226   1
  132:      228   1
  133:      224   1
  134:      229   1
  135:      231   1
  136:      234   1
  137:      235   1
  138:      232   1
  139:      239   1
  140:      238   1
  141:      236   1
  142:      196   1
  143:      197   1
  144:      201   1
  145:      230   1
  146:      198   1
  147:      244   1
  148:      246   1
  149:      242   1
  150:      251   1
  151:      249   1
  152:      255   1
  153:      214   1
  154:      220   1
  155:      162   1
  156:      125    2
  157:      165   1
  158:       80   1
  159:      102   1
  160:      225   1
  161:      237   1
  162:      243   1
  163:      250   1
  164:      241   1
  165:      209   1
  166:      170   1
  167:      111   1
  168:       63   1
  169:      108    2
  170:      107    2
  171:      189   1
  172:      188   1
  173:      161   1
  174:      171   1
  175:      187   1
  176:       97    2
  177:       97    2
  178:       97    2
  179:      120    2
  180:      117    2
  181:      117    2
  182:      117    2
  183:      107    2
  184:      107    2
  185:      117    2
  186:      120    2
  187:      107    2
  188:      106    2
  189:      106    2
  190:      106    2
  191:      107    2
  192:      109    2
  193:      118    2
  194:      119    2
  195:      116    2
  196:      113    2
  197:      110    2
  198:      116    2
  199:      116    2
  200:      109    2
  201:      108    2
  202:      118    2
  203:      119    2
  204:      116    2
  205:      113    2
  206:      110    2
  207:      118    2
  208:      118    2
  209:      119    2
  210:      119    2
  211:      109    2
  212:      109    2
  213:      108    2
  214:      108    2
  215:      110    2
  216:      110    2
  217:      106    2
  218:      108    2
  219:       96    2
  220:       96    2
  221:       96    2
  222:       96    2
  223:       96    2
  224:       46   1
  225:      223   1
  226:       46   1
  227:      123    2
  228:       46   1
  229:       46   1
  230:      181   1
  231:       46   1
  232:       46   1
  233:       46   1
  234:       46   1
  235:       46   1
  236:       46   1
  237:      248   1
  238:       46   1
  239:       46   1
  240:       61   1
  241:      177   1
  242:      122    2
  243:      121    2
  244:      108    2
  245:      106    2
  246:      247   1
  247:       61   1
  248:      102    2
  249:      126    2
  250:      126    2
  251:       46   1
  252:       46   1
  253:      178   1
  254:       96    2
  255:       32   1

#-----------------------------------------------------------------------------
# FSunivel  X Terminal Emulator  with only 7 Bit 
#-----------------------------------------------------------------------------
# Characters < 32 are mapped to acs chars, all others are PC char set
# Terminal interprets  chr(142) and chr(143) as acs control, so these are 
# not available and mapped

:fsunivel = Univel X/term emulat. 7bit

   0-31: *+95 2 
   142:   146 1
   143:    65 1

#-----------------------------------------------------------------------------
# Silicon Graphics Indigo xwsh terminal emulator with multisoft font
#-----------------------------------------------------------------------------
# Note that the xwsh terminal treats the characters 131,133,134,140,142,143
# as Escape sequences. 
# Thus, 131 is mapped to 132, 142 to 140, the rest of theses maps to a,i,A
# 

:fsIndiXwsh = SGindigo xwsh emulat

  1-6:       *    1
  7-15:      46   1
  16-26:     *    1
  27:        50   1
  28:        192  1
  29-126:    *    1
  128-130:   *    1
  131:       97   1
  132:      131   1
  133:       97   1
  134-135:   *    1
  136:      101   1
  137-139:   *    1
  140:      105   1
  141:      105   1
  142:      140   1
  143:       65   1
  144-255:   *    1

#--------------------------------------------------------------------------
# translate all chars to alternate charset (second vga font)
# using Polish keyboard
#--------------------------------------------------------------------------

:fslinux|console = Linux system console

#	0-31:    *  2
#	128-255: *  2

   0-31:    *  2
   128-133: *  2
   134: 177 1
   135-140: * 2
   141: 230 1
   142: * 2
   143: 161 1
   144: 202 1
   145: 234 1
   146: 179 1
   147: * 2
   148: * 2
   149: 198 1
   150: * 2
   151: * 2
   152: 166 1
   153: * 2
   154: * 2
   155: * 2
   156: 163 1
   157: * 2
   158: 182 1
   159: * 2
   160: 172 1
   161: 175 1
   162: 243 1
   163: 211 1
   164: 241 1
   165: 209 1
   166: 188 1
   167: 191 1
   168-255: * 2

#-----------------------------------------------------------------------------

