/* FS2demo: Demo/Testprogram for mathematic functions              
 *
 * For FlagShip 5 and 6
 * Copyright (c) 2003..07 by multisoft GmbH, Munich, Germany 
 *
 * You may freely modify this source according to your needs and/or
 * re-use any parts of it in your source code.
 * Release $Date: 2007/06/26 13:34:44 $
 *
 * Compile by "make" (or "nmake" with MS-VC6)
 */

*procedure demo_mat
parameters p1

if wahl = 0
   return
endif

setcolor(enh_color)

@ 5,2 say "Function: " + upper(mathem_arr[p1]) + ":"

setcolor(std_color)

set fixed on
set decimals to 18

do case
   case p1 >= 1 .and. p1 <= 3                              && acos asin atan
     @  8,3 say "Acos(- 0.7) = "
     ?? str(Acos(- 0.7), 18, 15)
     @  9,3 say "Acos(0    ) = "
     ?? str(Acos(0    ), 18, 15)
     @ 10,3 say "Acos(1    ) = "
     ?? str(Acos(1    ), 18, 15)
     @ 11,3 say "Asin(- 0.7) = "
     ?? str(Asin(- 0.7), 18, 15)
     @ 12,3 say "Asin(0    ) = "
     ?? str(Asin(0    ), 18, 15)
     @ 13,3 say "Asin(1    ) = "
     ?? str(Asin(1    ), 18, 15)
     @ 14,3 say "Atan(- 0.7) = "
     ?? str(Atan(- 0.7), 18, 15)
     @ 15,3 say "Atan(0    ) = "
     ?? str(Atan(0    ), 18, 15)
     @ 16,3 say "Atan(1    ) = "
     ?? str(Atan(1    ), 18, 15)

   case p1 = 4 .or. p1 = 7                                 && atn2 cot
     @  8,3 say "Atn2(+ 0.7, + 0.7) = "
     ?? str(Atn2(+ 0.7, + 0.7), 18, 15)
     @  9,3 say "Atn2(+ 0.7, - 0.7) = "
     ?? str(Atn2(+ 0.7, - 0.7), 18, 15)
     @ 10,3 say "Atn2(- 0.7, - 0.7) = "
     ?? str(Atn2(- 0.7, - 0.7), 18, 15)
     @ 11,3 say "Atn2(- 0.7, + 0.7) = "
     ?? str(Atn2(- 0.7, + 0.7), 18, 15)

     @ 12,3 say "Atn2(0    , 1    ) = "
     ?? str(Atn2(0    , 1    ), 18, 15)
     @ 13,3 say "Atn2(1    , 0    ) = "
     ?? str(Atn2(1    , 0    ), 18, 15)
     @ 15,3 say "Cot (- 0.7) = "
     ?? str(Cot (- 0.7), 18, 15)
     @ 16,3 say "Cot (0.7  ) = "
     ?? cot (0.7    )
     @ 17,3 say "Cot (1    ) = "
     ?? str(Cot (1    ), 18, 15)

   case p1 = 6 .or. p1 = 22 .or. p1 = 23 .or. p1 = 16      && cos sin tan pi
     @  7,3 say "The PI value () is: "
     ?? str(pi(), 18, 15)
     @  8,3 say "Cos(90 * (/180)) = "
     ?? str(cos(pi()/2), 18, 15)
     @  9,3 say "Cos(0 )           = "
     ?? str(cos(0), 18, 15)
     @ 10,3 say "Cos(45 * (/180)) = "
     ?? str(cos(pi()/4), 18, 15)
     @ 11,3 say "Sin(0 )           = "
     ?? str(sin(0), 18, 15)
     @ 12,3 say "Sin(90 * (/180)) = "
     ?? str(sin(pi()/2), 18, 15)
     @ 13,3 say "Sin(45 * (/180)) = "
     ?? str(sin(pi()/4), 18, 15)
     @ 14,3 say "Tan(0 )           = "
     ?? str(tan(0), 18, 15)
     @ 15,3 say "Tan(90 * (/180)) = "
     ?? str(tan(pi()/2), 18, 15)
     @ 16,3 say "Tan(45 * (/180)) = "
     ?? str(tan(pi()/4), 18, 15)

   case p1 = 8  .or. p1 = 19                               && dtor rtod
     @  7,3 say "dtor(360)         = "
     ?? str(dtor(360), 18, 15)
     @  8,3 say "dtor(180)         = "
     ?? str(dtor(180), 18, 15)
     @  9,3 say "dtor(720)         = "
     ?? str(dtor(720), 18, 15)
     @ 10,3 say "rtod(dtor(360))   = "
     ?? str(rtod(dtor(360)), 18, 0)
     @ 11,3 say "rtod(dtor(180))   = "
     ?? str(rtod(dtor(180)), 18, 0)
     @ 12,3 say "rtod(dtor(720))   = "
     ?? str(rtod(dtor(720)), 18, 0)

   case p1 =10  .or. p1 = 5 .or. p1 = 21                   && floor ceil sign
     @  8,3 say "floor(-123.8976)  = "
     ?? str(floor(-123.8976), 18, 5)
     @  9,3 say "floor( 87655.12)  = "
     ?? str(floor( 87655.12), 18, 5)
     @ 10,3 say "floor(345.34555)  = "
     ?? str(floor(345.34555), 18, 5)
     @ 11,3 say "ceiling(-123.8976)= "
     ?? str(ceiling(-123.8976), 18, 5)
     @ 12,3 say "ceiling( 87655.12)= "
     ?? str(ceiling( 87655.12), 18, 5)
     @ 13,3 say "ceiling(345.34555)= "
     ?? str(ceiling(345.34555), 18, 5)
     @ 14,3 say "sign (-123.8976)  = "
     ?? str(sign (-123.8976), 18, 15)
     @ 15,3 say "sign ( 0)         = "
     ?? str(sign ( 0), 18, 15)
     @ 16,3 say "sign (345.34555)  = "
     ?? str(sign (345.34555), 18, 15)

   case p1 =12  .or. p1 = 20                               && getprc setprc
     @  8,3 say "setprec(6)  = "
     ?? setprec(6)
     @  9,3 say "getprec()   = "
     ?? getprec()
     @ 10,3 say "setprec(16) = "
     ?? setprec(16)
     @ 11,3 say "getprec()   = "
     ?? getprec()

   case p1 =13  .or. p1 = 9                                && log10, fact
     @  8,3 say "log10(22)  = "
     ?? str(log10(22), 18, 15)
     @  9,3 say "log10(100) = "
     ?? str(log10(100), 18, 15)
     @ 10,3 say "log10(1)   = "
     ?? str(log10(1), 18, 15)
     @ 12,3 say "fact(4 )   = "
     ?? str(fact(4), 18, 1)
     @ 13,3 say "fact(6 )   = "
     ?? str(fact(6 ), 18, 1)
     @ 14,3 say "fact(21)   = "
     ?? str(fact(21))

                                              * fv payments periods pv rate
   case p1 =11 .or. p1 =14 .or. p1 =15 .or. p1 =17 .or. p1 =18

   pv_fv( 10000, 2100, 1.6486952, 5)
   pv_fv( 10000, 1295.045, 5, 10)
*   pv_fv( 10000, 12000, 1000, 5, 10)
   otherwise
      do def_infunc with mathem_arr[p1]
endcase
do ende_wait
set decimals to 2
return

function pv_fv
parameters darlehen, rate, proz, jahre
set decimals to 3
 ? "Cash of $",ltrim(str(darlehen,7,1)), "= interest rate of $",ltrim(str(rate,7,1)),;
   "by", ltrim(str(proz,6,3)), "% for", ltrim(str(jahre,2,0)), "years"
set decimals to 18
 proz = proz / 100                                  && percent -> faktor
 ? "Cash    [$] (pv)     =", pv(rate, proz, jahre)
 ? "Capital [$] (fv)     =", fv(rate, proz, jahre)
 ? "Payment [$] (payment)=", payment(darlehen, proz, jahre)
 ? "Years   [Y] (periods)=", periods(darlehen, rate, proz)
 ? "Rate    [%] (rate)   =", rate(darlehen, rate, jahre) * 100
 ? ""
return(0)

